curl --compressed "https://api.coinmetrics.io/v4/timeseries/protocol-metrics?protocols=aave_v3&markets=core-weth&chains=ethereum&metrics=supply_apy&pretty=true&api_key=<your_key>"import requests
response = requests.get('https://api.coinmetrics.io/v4/timeseries/protocol-metrics?protocols=aave_v3&markets=core-weth&chains=ethereum&metrics=supply_apy&pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/timeseries/protocol-metrics?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/timeseries/protocol-metrics?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/timeseries/protocol-metrics?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/timeseries/protocol-metrics?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/timeseries/protocol-metrics?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"protocol": "aave_v3",
"market": "core-weth",
"chain": "ethereum",
"time": "2026-06-12T00:00:00.000000000Z",
"supply_apy": "1.36345867342",
"utilization_rate": "0.782002605849005506"
},
{
"protocol": "aave_v3",
"market": "core-weth",
"chain": "ethereum",
"time": "2026-06-13T00:00:00.000000000Z",
"supply_apy": "1.36153288068",
"utilization_rate": "0.781455839183805442"
},
{
"protocol": "aave_spoke_v4",
"market": "bluechip-prime-weth",
"chain": "ethereum",
"time": "2026-06-13T00:00:00.000000000Z",
"market_size_total_ntv": "1300.75",
"borrowed_total_ntv": "820.5",
"supply_apy": "2.71828182845",
"utilization_rate": "0.654321098765432100"
}
]
}Protocol metrics
Returns metrics for specified protocols.
Results are ordered by tuple (protocol, market).
To fetch the next page of results use next_page_url JSON response field.
curl --compressed "https://api.coinmetrics.io/v4/timeseries/protocol-metrics?protocols=aave_v3&markets=core-weth&chains=ethereum&metrics=supply_apy&pretty=true&api_key=<your_key>"import requests
response = requests.get('https://api.coinmetrics.io/v4/timeseries/protocol-metrics?protocols=aave_v3&markets=core-weth&chains=ethereum&metrics=supply_apy&pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/timeseries/protocol-metrics?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/timeseries/protocol-metrics?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/timeseries/protocol-metrics?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/timeseries/protocol-metrics?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/timeseries/protocol-metrics?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"protocol": "aave_v3",
"market": "core-weth",
"chain": "ethereum",
"time": "2026-06-12T00:00:00.000000000Z",
"supply_apy": "1.36345867342",
"utilization_rate": "0.782002605849005506"
},
{
"protocol": "aave_v3",
"market": "core-weth",
"chain": "ethereum",
"time": "2026-06-13T00:00:00.000000000Z",
"supply_apy": "1.36153288068",
"utilization_rate": "0.781455839183805442"
},
{
"protocol": "aave_spoke_v4",
"market": "bluechip-prime-weth",
"chain": "ethereum",
"time": "2026-06-13T00:00:00.000000000Z",
"market_size_total_ntv": "1300.75",
"borrowed_total_ntv": "820.5",
"supply_apy": "2.71828182845",
"utilization_rate": "0.654321098765432100"
}
]
}Authorizations
Query Parameters
Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.
End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.
Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.
"America/New_York"

